summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorhut <hut@lavabit.com>2011-05-08 16:24:32 +0200
committerhut <hut@lavabit.com>2011-05-08 16:26:21 +0200
commitf3c29a69b124314547a4324cc425902b519e01f2 (patch)
tree2b11123ad31ccd7f9f94d59cef58c269fb92df41
parent24e683189bbbe1082d7033c3c12670063e96c2df (diff)
downloadranger-f3c29a69b124314547a4324cc425902b519e01f2.tar.gz
data/scope.sh: Added bittorrent preview
-rwxr-xr-xranger/data/scope.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 4d778486..9f212cae 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -43,6 +43,10 @@ case "$extension" in
 	pdf)
 		pdftotext -l 10 -nopgbrk -q "$path" - | head -n $maxln | fmt -s -w $width
 		success && exit 0 || exit 1;;
+	# BitTorrent Files
+	torrent)
+		transmission-show "$path" | head -n $maxln && exit 3
+		success && exit 5 || exit 1;;
 	# HTML Pages:
 	htm|html|xhtml)
 		have w3m    && w3m    -dump "$path" | head -n $maxln | fmt -s -w $width && exit 4